Index: pcp/src/output.h
===================================================================
--- pcp/src/output.h	(revision a0bcf15381c41adb281e0a5d9293f02515ba70c0)
+++ pcp/src/output.h	(revision a0bcf15381c41adb281e0a5d9293f02515ba70c0)
@@ -0,0 +1,69 @@
+#ifndef output_h
+#define output_h
+
+/** \file output.h
+ * Header file for \ref output.c.
+ * 
+ * Contains declarations of the functions implemented in \ref output.c.
+ * 
+  Project: ParallelCarParrinello
+  Jan Hamaekers
+  2000
+
+  File: output.h
+  $Id: output.h,v 1.17.2.1 2007-04-21 12:55:50 foo Exp $
+*/
+
+static const char suffixdensdat[] = ".density.data";  //!< Suffix for density data file
+static const char suffixdensdx[] = ".density.dx";     //!< Suffix for density OpenDx file
+static const char suffixdensdoc[] = ".density.doc";   //!< Suffix for density doc file
+static const char suffixdenspos[] = ".density.pos";   //!< Suffix for density position file
+#if BIGENDIAN == 1
+static const char msb[] = "msb";    //!< most significant byte first
+#else
+static const char msb[] = "lsb";    //!< least significant byte first
+#endif
+
+
+static const char suffixsrcpsidat[] = ".srcpsi.data";           //!< Suffix for Psi state data file
+static const char suffixsrcpsidowndat[] = ".srcpsi.down.data";  //!< Suffix for Psi state SpinDown data file
+static const char suffixsrcpsiupdat[] = ".srcpsi.up.data";      //!< Suffix for Psi state SpinUp data file
+static const char suffixsrcpsidoc[] = ".srcpsi.doc";            //!< Suffix for Psi state doc file
+static const char suffixsrcpsidowndoc[] = ".srcpsi.down.doc";   //!< Suffix for Psi state SpinDown doc file
+static const char suffixsrcpsiupdoc[] = ".srcpsi.up.doc";       //!< Suffix for Psi state SpinUp doc file
+
+static const char suffixforcesall[] = ".forces.all";  //!< Suffix for "measured" total forces file
+static const char suffixenergyall[] = ".energy.all";  //!< Suffix for "measured" total energy file
+static const char suffixhamiltonianall[] = ".hamiltonian.csv";  //!< Suffix for explicit hamiltonian coefficients (in Kohn-Sham-base) file
+static const char suffixminall[] = ".minimisation.csv";  //!< Suffix for minimisation file
+static const char suffixspreadall[] = ".spread.csv";  //!< Suffix for explicit hamiltonian coefficients (in Kohn-Sham-base) file
+
+/* Konvention: Rueckgabe 0 einer Funktion, bedeutet keinen Fehler (entsprechend exitcode 0) */ 
+/* Oeffnet Datei P->mainname+"..." mit what*/
+int OpenFile(struct Problem *P, FILE** file, const char* suffix, const char* what, int verbose);
+
+/* Oeffnet Datei P->mainname+"...".Nr(2stellig) mit what*/
+int OpenFileNo2(struct Problem *P, FILE** file, const char* suffix, int No, const char* what, int verbose);
+/* Oeffnet Datei P->Files.mainname+"...".Nr(4stellig) mit what*/
+int OpenFileNo(struct Problem *P, FILE** file, const char* suffix, int No, const char* what, int verbose);
+/* Oeffnet Datei P->Files.mainname+"...".No.postfix mit what*/
+int OpenFileNoPost(struct Problem *P, FILE** file, const char* suffix, int No, const char* postfix, const char* what, int verbose);
+/* wie oben, nur mit zwei Nummern, %04i und %02i */
+int OpenFileNoNo(struct Problem *P, FILE** file, const char* suffix, int No1, int No2, const char* what, int verbose);
+
+void OutputNorm (FILE *out, struct Problem *P);
+void InitOutputFiles(struct Problem *P);
+void InitOutVisArray(struct Problem *P);
+void CloseOutputFiles(struct Problem *P);
+void OutputVisAllOrbital(struct Problem *P, int offset, int increment, enum PsiTypeTag type);
+void OutputCurrentDensity(struct Problem *P);
+void OutputVis(struct Problem *P, fftw_real *srcdens);
+void OutputVisSrcFiles(struct Problem *P, enum PsiTypeTag type);
+void OutputSrcPsiDensity(struct Problem *P, enum PsiTypeTag type); 
+void ReadSrcFiles(struct Problem *P);
+int ReadSrcIons(struct Problem *P);
+int ReadSrcPsiDensity(struct Problem *P, enum PsiTypeTag type, int test, int LevSNo);
+int TestReadnWriteSrcDensity(struct Problem *P, enum PsiTypeTag type);
+void PlotSrcPlane(struct Problem *P, int index, double n_orth, int wavenr, fftw_real *density); 
+void PlotRealDensity(struct Problem *P, struct LatticeLevel *Lev, FILE *PlotFile, int index, double n_orth, fftw_real *density1, fftw_real *density2);
+#endif
